Create a new weak reference

- « WeakReference::__construct

- WeakReference::get »

- PHP Manual
- WeakReference
- Create a new weak reference

# WeakReference::create

(PHP 7 >= 7.4.0, PHP 8)

WeakReference::create — Create a new weak reference

### Description

public static WeakReference::create(object `$object`): WeakReference

Creates a new WeakReference.

### Parameters

`object`

  The object to be weakly referenced.

### Return Values

Returns a new WeakReference, or the existing instance if there was already a WeakReference to the same object.